OracleAppJDBCDataSource (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppJDBCDataSource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppJDBCDataSource

All Superinterfaces:
  ConfigurationItem, J2EEResource, JDBCDataSource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface OracleAppJDBCDataSource

extends JDBCDataSource

OracleAppJDBCDataSource

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.j2ee.JDBCDataSource
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getActiveSQLTrace()`
`OracleAppJDBCConnectionPool` | `getJdbcConnectionPool()`
`OracleAppJDBCDriver` | `getJdbcDriver()`
`java.lang.String` | `getJndiName()`
`int` | `getLoginTimeout()`
`boolean` | `getManageLocalTransactions()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getTransactionLevel()`
`java.lang.String` | `getUser()`
`boolean` | `hasActiveSQLTrace()`
`boolean` | `hasJdbcConnectionPool()`
`boolean` | `hasJdbcDriver()`
`boolean` | `hasJndiName()`
`boolean` | `hasLoginTimeout()`
`boolean` | `hasManageLocalTransactions()`
`boolean` | `hasPassword()`
`boolean` | `hasTransactionLevel()`
`boolean` | `hasUser()`
`void` | `setActiveSQLTrace(boolean activeSQLTrace)`
`void` | `setJdbcConnectionPool(OracleAppJDBCConnectionPool pool)`
`void` | `setJdbcDriver(OracleAppJDBCDriver driver)`
`void` | `setJndiName(java.lang.String jndiName)`
`void` | `setLoginTimeout(int loginTimeout)`
`void` | `setManageLocalTransactions(boolean manageLocalTransactions)`
`void` | `setPassword(java.lang.String password)`
`void` | `setTransactionLevel(java.lang.String transactionLevel)`
`void` | `setUser(java.lang.String user)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getJdbcConnectionPool

    OracleAppJDBCConnectionPool getJdbcConnectionPool()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJdbcConnectionPool

    void setJdbcConnectionPool(OracleAppJDBCConnectionPool pool)

### hasJdbcConnectionPool

    boolean hasJdbcConnectionPool()

### getJdbcDriver

    OracleAppJDBCDriver getJdbcDriver()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJdbcDriver

    void setJdbcDriver(OracleAppJDBCDriver driver)

### hasJdbcDriver

    boolean hasJdbcDriver()

### getActiveSQLTrace

    boolean getActiveSQLTrace()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setActiveSQLTrace

    void setActiveSQLTrace(boolean activeSQLTrace)

### hasActiveSQLTrace

    boolean hasActiveSQLTrace()

### getLoginTimeout

    int getLoginTimeout()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLoginTimeout

    void setLoginTimeout(int loginTimeout)

### hasLoginTimeout

    boolean hasLoginTimeout()

### getJndiName

    java.lang.String getJndiName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setJndiName

    void setJndiName(java.lang.String jndiName)

### hasJndiName

    boolean hasJndiName()

### getManageLocalTransactions

    boolean getManageLocalTransactions()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setManageLocalTransactions

    void setManageLocalTransactions(boolean manageLocalTransactions)

### hasManageLocalTransactions

    boolean hasManageLocalTransactions()

### getPassword

    java.lang.String getPassword()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPassword

    void setPassword(java.lang.String password)

### hasPassword

    boolean hasPassword()

### getTransactionLevel

    java.lang.String getTransactionLevel()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionLevel

    void setTransactionLevel(java.lang.String transactionLevel)

### hasTransactionLevel

    boolean hasTransactionLevel()

### getUser

    java.lang.String getUser()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUser

    void setUser(java.lang.String user)

### hasUser

    boolean hasUser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD